<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <ui:decorate template="/layout/form/_form_page.xhtml">
            <h2>#{messages['net.ihe.gazelle.atna.CreateTLSSSLClientSimulator']}</h2>

            <s:decorate template="/simulators/commonEdit.xhtml">
                <ui:param name="simulatorBean" value="#{clientSimulatorBean}"/>

                <ui:define name="simulatorCertificateSelector">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="certificateInput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.Certificate']}</ui:define>
                        <h:selectOneMenu id="certificateInput" value="#{simulatorBean.certificate}"
                                         styleClass="form-control gzl-select-text" disabled="#{simulatorBean.hasConnections()}">
                            <f:selectItem noSelectionOption="true" itemValue="#{null}"
                                          itemLabel="#{messages['net.ihe.gazelle.atna.None']}"/>
                            <f:selectItems value="#{simulatorBean.getAvailableCertificates()}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </ui:define>

            </s:decorate>
        </ui:decorate>
    </ui:define>
</ui:composition>
